package cviceni.dao;

import cviceni.model.Uzivatel;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author lumi
 */
@Transactional
public class UzivatelDAOImpl implements UzivatelDAO  {

    private EntityManager em;

    @PersistenceContext
    public void setEntityManager(EntityManager em) {
        this.em = em;
    }

    private EntityManager getEntityManager() {
        return em;
    }

    public void delete(Uzivatel u) {

        try {
            em.remove(u);
        } catch (Exception e) {
            java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE, "exception caught", e);
        }
    }

    public Uzivatel findById(int id) {
        Uzivatel u;
        try {
            return em.find(Uzivatel.class, id);
        } catch (Exception e) {
            java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE, "exception caught", e);
        }
        return null;
    }

    public Uzivatel findByLogin(String login) {
        Uzivatel u;
        try {
            return em.find(Uzivatel.class, login);
        } catch (Exception e) {
            java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE, "exception caught", e);
        }
        return null;
    }

    public List<Uzivatel> findAll() {

        try {
            Query q = em.createQuery("select u from Uzivatel u");
            return q.getResultList();
        } catch (Exception e) {
            java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE, "exception caught", e);
        }
        return new ArrayList<Uzivatel>();
    }

    public void persist(Uzivatel object) {
        try {
            em.persist(object);
        } catch (Exception e) {
            java.util.logging.Logger.getLogger(getClass().getName()).log(java.util.logging.Level.SEVERE, "exception caught", e);
        }
    }
}
