package cviceni.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="Uzivatel")
public class Uzivatel
{
   private int id;
   private String login;
   private String jmeno;
   private String prijmeni;
   private String role;
   private String heslo;

   public Uzivatel() {}
   public Uzivatel(String login, String heslo, String jmeno, String prijmeni,String role)
   {
      this.login = login;
      this.heslo = heslo;
      this.jmeno = jmeno;
      this.prijmeni = prijmeni;
      this.role = role;
   }

   public Uzivatel(String login, String jmeno, String prijmeni)
   {
      this(login,"", jmeno,prijmeni,"nenastaveno");
   }
   
   @Id
   @GeneratedValue
   @Column(name="id")
   public int getId() { return id;}

   @Column(name="login")
   public String getLogin() { return login; }
   @Column(name="heslo")
   public String getHeslo() {return heslo;}
   @Column(name="jmeno")
   public String getJmeno() { return jmeno; }
   @Column(name="prijmeni")
   public String getPrijmeni() { return prijmeni; }
   @Column(name="role")
   public String getRole() { return role;}

   public void setId(int id) { this.id = id;}
   public void setLogin(String login) { this.login=login; }
   public void setHeslo(String heslo) { this.heslo=heslo; }   
   public void setJmeno(String jmeno) { this.jmeno=jmeno; }
   public void setPrijmeni(String prijmeni) { this.prijmeni=prijmeni; }
   public void setRole(String role) { this.role=role; }

   public String toString() {
      return login + ":" + heslo + ":"+ jmeno + " " + prijmeni + ", " + role;
   }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Uzivatel other = (Uzivatel) obj;
        if (this.id != other.id) {
            return false;
        }
        if ((this.login == null) ? (other.login != null) : !this.login.equals(other.login)) {
            return false;
        }
        if ((this.jmeno == null) ? (other.jmeno != null) : !this.jmeno.equals(other.jmeno)) {
            return false;
        }
        if ((this.prijmeni == null) ? (other.prijmeni != null) : !this.prijmeni.equals(other.prijmeni)) {
            return false;
        }
        if ((this.role == null) ? (other.role != null) : !this.role.equals(other.role)) {
            return false;
        }
        if ((this.heslo == null) ? (other.heslo != null) : !this.heslo.equals(other.heslo)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 59 * hash + this.id;
        hash = 59 * hash + (this.login != null ? this.login.hashCode() : 0);
        hash = 59 * hash + (this.jmeno != null ? this.jmeno.hashCode() : 0);
        hash = 59 * hash + (this.prijmeni != null ? this.prijmeni.hashCode() : 0);
        hash = 59 * hash + (this.role != null ? this.role.hashCode() : 0);
        hash = 59 * hash + (this.heslo != null ? this.heslo.hashCode() : 0);
        return hash;
    }

    

}
